For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Global Payroll
    • Introduction
    • Time Tracking
    • Adjustments
  • Common Use Cases
    • Reimburse expenses
  • Endpoints
      • POSTAdd bank account
      • POSTAdd GP Workers Additional Information
      • PATCHModify bank account
      • GETRetrieve bank accounts
      • GETRetrieve bank guide
      • PATCHUpdate address
      • PATCHUpdate compensation
      • PATCHUpdate employee information
      • PATCHUpdate GP Workers Additional Information
      • PATCHUpdate PTO policy
LogoLogo
SupportDeel Home
EndpointsWorker Information

Add GP Workers Additional Information

POST
/gp/workers/contracts/:contract_id/additional-information
POST
/rest/v2/gp/workers/contracts/:contract_id/additional-information
$curl -X POST https://api.letsdeel.com/rest/v2/gp/workers/contracts/mnrw11a/additional-information \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "data": {}
>}'
1{
2 "data": {
3 "created_at": "2024-12-01T10:49:53.322Z"
4 }
5}

Adds supplementary fields to the contract, with the extra data supplied under the data object in the request body. Token scopes: people:write

Was this page helpful?
Previous

Modify bank account

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

contract_idstringRequired
The unique public identifier of the contract.

Request

This endpoint expects an object.
datamap from strings to strings or doubles or booleansRequired

Response

Operation successful.
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication